package com.fizz.business.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 光整机插入量对象 setup_tm_mesh
 * 
 * @author Joshi
 * @date 2025-09-26
 */
public class SetupTmMesh extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private String steelGrade;

    /** $column.columnComment */
    private Long yieldStren;

    /** $column.columnComment */
    private Long thick;

    /** 防皱辊插入量 */
    @Excel(name = "防皱辊插入量")
    private Long value1;

    /** 防颤辊插入量 */
    @Excel(name = "防颤辊插入量")
    private Long value2;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value3;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value4;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value5;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value6;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value7;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value8;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value9;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long value10;

    public void setSteelGrade(String steelGrade) 
    {
        this.steelGrade = steelGrade;
    }

    public String getSteelGrade() 
    {
        return steelGrade;
    }
    public void setYieldStren(Long yieldStren) 
    {
        this.yieldStren = yieldStren;
    }

    public Long getYieldStren() 
    {
        return yieldStren;
    }
    public void setThick(Long thick) 
    {
        this.thick = thick;
    }

    public Long getThick() 
    {
        return thick;
    }
    public void setValue1(Long value1) 
    {
        this.value1 = value1;
    }

    public Long getValue1() 
    {
        return value1;
    }
    public void setValue2(Long value2) 
    {
        this.value2 = value2;
    }

    public Long getValue2() 
    {
        return value2;
    }
    public void setValue3(Long value3) 
    {
        this.value3 = value3;
    }

    public Long getValue3() 
    {
        return value3;
    }
    public void setValue4(Long value4) 
    {
        this.value4 = value4;
    }

    public Long getValue4() 
    {
        return value4;
    }
    public void setValue5(Long value5) 
    {
        this.value5 = value5;
    }

    public Long getValue5() 
    {
        return value5;
    }
    public void setValue6(Long value6) 
    {
        this.value6 = value6;
    }

    public Long getValue6() 
    {
        return value6;
    }
    public void setValue7(Long value7) 
    {
        this.value7 = value7;
    }

    public Long getValue7() 
    {
        return value7;
    }
    public void setValue8(Long value8) 
    {
        this.value8 = value8;
    }

    public Long getValue8() 
    {
        return value8;
    }
    public void setValue9(Long value9) 
    {
        this.value9 = value9;
    }

    public Long getValue9() 
    {
        return value9;
    }
    public void setValue10(Long value10) 
    {
        this.value10 = value10;
    }

    public Long getValue10() 
    {
        return value10;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("steelGrade", getSteelGrade())
            .append("yieldStren", getYieldStren())
            .append("thick", getThick())
            .append("value1", getValue1())
            .append("value2", getValue2())
            .append("value3", getValue3())
            .append("value4", getValue4())
            .append("value5", getValue5())
            .append("value6", getValue6())
            .append("value7", getValue7())
            .append("value8", getValue8())
            .append("value9", getValue9())
            .append("value10", getValue10())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .toString();
    }
}
